## network-config 0.1

=== Makefile ===
VERSION=0.1
DIST_NAME=network-config-${VERSION}
PREFIX=/usr

all: compile

help:
	@echo "make run : run"
	@echo "make install : install (as root)"
	@echo "make uninstall : uninstall (as root)"
	@echo "make dist : create .tar.gz"

run:
	./network-config.pl

compile:
	@echo;
	@echo "You can type \"make install\" (as root) to install Network-config version ${VERSION}"
	@echo;

install:
	@echo "Installing Network-config version ${VERSION} :";
	@echo;
	mkdir -p ${PREFIX}/share/network-config
	cp ./Makefile ${PREFIX}/share/network-config/
	cp ./configure ${PREFIX}/share/network-config/
	cp ./network-config.pl ${PREFIX}/share/network-config/
	cp ./default-icon.png ${PREFIX}/share/network-config/
	cp ./AUTHORS ${PREFIX}/share/network-config/
	cp ./ChangeLog ${PREFIX}/share/network-config/
	cp ./COPYING ${PREFIX}/share/network-config/
	cp ./INSTALL ${PREFIX}/share/network-config/
	cp ./NEWS ${PREFIX}/share/network-config/
	cp ./README ${PREFIX}/share/network-config/
	cp ./TODO ${PREFIX}/share/network-config/
	chmod +x ${PREFIX}/share/network-config/network-config.pl
	ln -s -f ${PREFIX}/share/network-config/network-config.pl ${PREFIX}/bin/network-config
	@echo;
	@echo "Installation is finished.";
	@echo "You can type \"make uninstall\" if you wish to uninstall the program.";

uninstall:
	@echo "Uninstalling Network-config version ${VERSION} :";
	@echo;
	rm -f ${PREFIX}/share/network-config/network-config.pl
	rm -f ${PREFIX}/share/network-config/default-icon.png
	rm -f ${PREFIX}/bin/network-config
	rm -f ${PREFIX}/share/network-config/configure
	rm -f ${PREFIX}/share/network-config/Makefile
	rm -f ${PREFIX}/share/network-config/AUTHORS
	rm -f ${PREFIX}/share/network-config/ChangeLog
	rm -f ${PREFIX}/share/network-config/COPYING
	rm -f ${PREFIX}/share/network-config/INSTALL
	rm -f ${PREFIX}/share/network-config/NEWS
	rm -f ${PREFIX}/share/network-config/README
	rm -f ${PREFIX}/share/network-config/TODO
	rmdir ${PREFIX}/share/network-config;
	@echo;
	@echo "Uninstallation is finished.";
	@echo "Warning, the configuration settings are still there (usually in /etc/network-config/)";

dist:
	@echo "Creating distribution for Network-config version ${VERSION} :";
	@echo;
	rm -rf ./${DIST_NAME}
	mkdir -p ./${DIST_NAME}
	cp ./configure ./${DIST_NAME}
	chmod +x ./${DIST_NAME}/configure
	cp ./network-config.pl ./${DIST_NAME}
	cp ./default-icon.png ./${DIST_NAME}
	cp ./AUTHORS ./${DIST_NAME}
	cp ./ChangeLog ./${DIST_NAME}
	cp ./COPYING ./${DIST_NAME}
	cp ./INSTALL ./${DIST_NAME}
	cp ./NEWS ./${DIST_NAME}
	cp ./README ./${DIST_NAME}
	cp ./TODO ./${DIST_NAME}
	cp ./Makefile ./${DIST_NAME}
	tar czf ./${DIST_NAME}.tar.gz ./${DIST_NAME}
	rm -rf ./${DIST_NAME}	
	@echo;
	@echo "Distribution created with the name ${DIST_NAME}.tar.gz";

save:
	my_revision=1;\
	for rev in `ls ../saved/ | sed "s/network-config_//" | sort -n`;\
	do if [ $$rev -eq $$my_revision ]; then let "my_revision = $${rev}+1";\
	fi; done;\
	mkdir -p ../saved/network-config_$${my_revision};\
	cp -a ./* ../saved/network-config_$${my_revision};\
	echo "revision "$${my_revision}" saved";

## network-config 0.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
-VERSION=0.1
+#VERSION=subversion-$(shell date +%d-%m-%y)
+VERSION=0.2
 DIST_NAME=network-config-${VERSION}
 PREFIX=/usr

=== debian/changelog ===
network-config (0.2-2) unstable; urgency=medium

  * New Maintainer.(Closes: #780195)
  * debian/control:
      - Bumped Standards-Version to 3.9.6
      - Fixed spelling error in description (Closes: #707124)
      - Bumped debhelper to version 9
      - change in compat version 9
      - Change Maintainer
      - Added in Depends: ${misc:Depends}.
  * debian/network-config: Fixed spelling erro in man
  * debian/copyright:
      - Updated format copyright
      - Insert my copyright in debian/*
  * Update new format to 3.0 (Closes: #664362)
  * debian/rules:
      - Update rules for simple dh (thanks Gianfranco Costamagna)
  * debian/docs:
      - Added README and NEWS
  * debian/manpages:
      - Change correct local for manpages
  * Remove directory patched is deprecated

 -- Jose dos Santos Junior <j.s.junior@live.com>  Mon, 31 Aug 2015 20:19:51 -0300

network-config (0.2-1) unstable; urgency=low

  * New upstream release:
    - added scrollbar in the main window 
    - fixed many bugs 
    - added run script at the end from main preferences and for each
      configuration 
    - saves the window size 
    - don't show wifi networks with no name 
    - "Config" and "Appearance" swapped 
    - bigger entries (in Main->Preferences for example) 
    - small bugs still remain
  * Removed debian/patches/03-wpasupplicant.dpatch
    - It's fixed in upstream version
  * debian/copyright:
    - Updated download URL
    - Updated Copyright line
  * debian/control:
    - Removed needless dividing line from long description

 -- Marvin Stark <marv@der-marv.de>  Mon, 07 Apr 2008 20:24:05 +0000

network-config (0.1-4) unstable; urgency=low

  * Changed Standards-Version to 3.7.3
  * wpasupplicant does not support argument -w anymore (Closes: #460627)
    Thanks to Kel Modderman
  * Made menu file lintian clean

 -- Marvin Stark <marv@der-marv.de>  Thu, 14 Feb 2008 18:10:49 +0000

network-config (0.1-3) unstable; urgency=low

  * Changed menu file for Menu transition.

 -- Marvin Stark <marv@der-marv.de>  Mon, 09 Jul 2007 14:46:57 +0000

network-config (0.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Marvin Stark <marv@der-marv.de>  Thu, 29 Mar 2007 09:21:00 +0200

network-config (0.1-1) experimental; urgency=low

  * Initial release (Closes: #381802)

 -- Marvin Stark <marv@der-marv.de>  Tue,  9 Jan 2007 17:23:03 +0000

=== debian/control ===
Source: network-config
Section: utils
Priority: optional
Maintainer: Jose dos Santos Junior <j.s.junior@live.com>
Build-Depends: debhelper (>= 9)
Homepage: http://network-config.sourceforge.net
Standards-Version: 3.9.6

Package: network-config
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libglib-perl, libgtk2-perl, gksu, wireless-tools, wpasupplicant, iptables
Description: Simple network configuration tool
 Network-config is a simple and easy to use program that helps configuring
 the network interfaces for linux-based operating systems.
 It allows have multiple configurations for the same computer and to
 easy configure NAT for internet sharing. It can also be used to scan for
 wireless networks. It is written in perl and uses gtk2+ but also works
 as a command line program.

=== debian/watch ===
version=3
http://sf.net/network-config/network-config-(.*)\.tar\.gz
